DCMTK: DRTFractionGroupSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTFractionGroupSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTFractionGroupSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getBeamDoseMeaning (OFString &value, const signed long pos=0) const
| get BeamDoseMeaning (300a,008b)
OFCondition | getFractionGroupDescription (OFString &value, const signed long pos=0) const
| get FractionGroupDescription (300a,0072)
OFCondition | getFractionGroupNumber (OFString &value, const signed long pos=0) const
| get FractionGroupNumber (300a,0071)
OFCondition | getFractionGroupNumber (Sint32 &value, const unsigned long pos=0) const
| get FractionGroupNumber (300a,0071)
OFCondition | getFractionPattern (OFString &value, const signed long pos=0) const
| get FractionPattern (300a,007b)
OFCondition | getNumberOfBeams (OFString &value, const signed long pos=0) const
| get NumberOfBeams (300a,0080)
OFCondition | getNumberOfBeams (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBeams (300a,0080)
OFCondition | getNumberOfBrachyApplicationSetups (OFString &value, const signed long pos=0) const
| get NumberOfBrachyApplicationSetups (300a,00a0)
OFCondition | getNumberOfBrachyApplicationSetups (Sint32 &value, const unsigned long pos=0) const
| get NumberOfBrachyApplicationSetups (300a,00a0)
OFCondition | getNumberOfFractionPatternDigitsPerDay (OFString &value, const signed long pos=0) const
| get NumberOfFractionPatternDigitsPerDay (300a,0079)
OFCondition | getNumberOfFractionPatternDigitsPerDay (Sint32 &value, const unsigned long pos=0) const
| get NumberOfFractionPatternDigitsPerDay (300a,0079)
OFCondition | getNumberOfFractionsPlanned (OFString &value, const signed long pos=0) const
| get NumberOfFractionsPlanned (300a,0078)
OFCondition | getNumberOfFractionsPlanned (Sint32 &value, const unsigned long pos=0) const
| get NumberOfFractionsPlanned (300a,0078)
OFCondition | getRepeatFractionCycleLength (OFString &value, const signed long pos=0) const
| get RepeatFractionCycleLength (300a,007a)
OFCondition | getRepeatFractionCycleLength (Sint32 &value, const unsigned long pos=0) const
| get RepeatFractionCycleLength (300a,007a)
DRTDefinitionSourceSequence & | getDefinitionSourceSequence ()
| get DefinitionSourceSequence (0008,1156)
const DRTDefinitionSourceSequence & | getDefinitionSourceSequence () const
| get DefinitionSourceSequence (0008,1156)
DRTReferencedBeamSequenceInRTFractionSchemeModule & | getReferencedBeamSequence ()
| get ReferencedBeamSequence (300c,0004)
const DRTReferencedBeamSequenceInRTFractionSchemeModule & | getReferencedBeamSequence () const
| get ReferencedBeamSequence (300c,0004)
DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule & | getReferencedBrachyApplicationSetupSequence ()
| get ReferencedBrachyApplicationSetupSequence (300c,000a)
const DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule & | getReferencedBrachyApplicationSetupSequence () const
| get ReferencedBrachyApplicationSetupSequence (300c,000a)
DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule & | getReferencedDoseReferenceSequence ()
| get ReferencedDoseReferenceSequence (300c,0050)
const DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule & | getReferencedDoseReferenceSequence () const
| get ReferencedDoseReferenceSequence (300c,0050)
DRTReferencedDoseSequence & | getReferencedDoseSequence ()
| get ReferencedDoseSequence (300c,0080)
const DRTReferencedDoseSequence & | getReferencedDoseSequence () const
| get ReferencedDoseSequence (300c,0080)
OFCondition | setBeamDoseMeaning (const OFString &value, const OFBool check=OFTrue)
| set BeamDoseMeaning (300a,008b)
OFCondition | setFractionGroupDescription (const OFString &value, const OFBool check=OFTrue)
| set FractionGroupDescription (300a,0072)
OFCondition | setFractionGroupNumber (const OFString &value, const OFBool check=OFTrue)
| set FractionGroupNumber (300a,0071)
OFCondition | setFractionPattern (const OFString &value, const OFBool check=OFTrue)
| set FractionPattern (300a,007b)
OFCondition | setNumberOfBeams (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBeams (300a,0080)
OFCondition | setNumberOfBrachyApplicationSetups (const OFString &value, const OFBool check=OFTrue)
| set NumberOfBrachyApplicationSetups (300a,00a0)
OFCondition | setNumberOfFractionPatternDigitsPerDay (const OFString &value, const OFBool check=OFTrue)
| set NumberOfFractionPatternDigitsPerDay (300a,0079)
OFCondition | setNumberOfFractionsPlanned (const OFString &value, const OFBool check=OFTrue)
| set NumberOfFractionsPlanned (300a,0078)
OFCondition | setRepeatFractionCycleLength (const OFString &value, const OFBool check=OFTrue)
| set RepeatFractionCycleLength (300a,007a)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmCodeString | BeamDoseMeaning
| BeamDoseMeaning (300a,008b) vr=CS, vm=1, type=3.
DRTDefinitionSourceSequence | DefinitionSourceSequence
| DefinitionSourceSequence (0008,1156) vr=SQ, vm=1, type=3.
DcmLongString | FractionGroupDescription
| FractionGroupDescription (300a,0072) vr=LO, vm=1, type=3.
DcmIntegerString | FractionGroupNumber
| FractionGroupNumber (300a,0071) vr=IS, vm=1, type=1.
DcmLongText | FractionPattern
| FractionPattern (300a,007b) vr=LT, vm=1, type=3.
DcmIntegerString | NumberOfBeams
| NumberOfBeams (300a,0080) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfBrachyApplicationSetups
| NumberOfBrachyApplicationSetups (300a,00a0) vr=IS, vm=1, type=1.
DcmIntegerString | NumberOfFractionPatternDigitsPerDay
| NumberOfFractionPatternDigitsPerDay (300a,0079) vr=IS, vm=1, type=3.
DcmIntegerString | NumberOfFractionsPlanned
| NumberOfFractionsPlanned (300a,0078) vr=IS, vm=1, type=2.
DRTReferencedBeamSequenceInRTFractionSchemeModule | ReferencedBeamSequence
| ReferencedBeamSequence (300c,0004) vr=SQ, vm=1, type=1C.
DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule | ReferencedBrachyApplicationSetupSequence
| ReferencedBrachyApplicationSetupSequence (300c,000a) vr=SQ, vm=1, type=1C.
DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule | ReferencedDoseReferenceSequence
| ReferencedDoseReferenceSequence (300c,0050) vr=SQ, vm=1, type=3.
DRTReferencedDoseSequence | ReferencedDoseSequence
| ReferencedDoseSequence (300c,0080) vr=SQ, vm=1, type=3.
DcmIntegerString | RepeatFractionCycleLength
| RepeatFractionCycleLength (300a,007a) vr=IS, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTFractionGroupSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTFractionGroupSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getBeamDoseMeaning()

OFCondition DRTFractionGroupSequence::Item::getBeamDoseMeaning | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get BeamDoseMeaning (300a,008b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDefinitionSourceSequence() [1/2]

DRTDefinitionSourceSequence & DRTFractionGroupSequence::Item::getDefinitionSourceSequence | ( |  | ) |
| inline

get DefinitionSourceSequence (0008,1156)

Returns
  reference to sequence element

References DefinitionSourceSequence.

## ◆ getDefinitionSourceSequence() [2/2]

const DRTDefinitionSourceSequence & DRTFractionGroupSequence::Item::getDefinitionSourceSequence | ( |  | ) | const
| inline

get DefinitionSourceSequence (0008,1156)

Returns
  const reference to sequence element

References DefinitionSourceSequence.

## ◆ getFractionGroupDescription()

OFCondition DRTFractionGroupSequence::Item::getFractionGroupDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get FractionGroupDescription (300a,0072)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFractionGroupNumber() [1/2]

OFCondition DRTFractionGroupSequence::Item::getFractionGroupNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get FractionGroupNumber (300a,0071)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFractionGroupNumber() [2/2]

OFCondition DRTFractionGroupSequence::Item::getFractionGroupNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get FractionGroupNumber (300a,0071)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFractionPattern()

OFCondition DRTFractionGroupSequence::Item::getFractionPattern | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get FractionPattern (300a,007b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBeams() [1/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfBeams | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfBeams (300a,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBeams() [2/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfBeams | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfBeams (300a,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBrachyApplicationSetups() [1/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfBrachyApplicationSetups | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfBrachyApplicationSetups (300a,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfBrachyApplicationSetups() [2/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfBrachyApplicationSetups | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfBrachyApplicationSetups (300a,00a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFractionPatternDigitsPerDay() [1/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfFractionPatternDigitsPerDay | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfFractionPatternDigitsPerDay (300a,0079)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFractionPatternDigitsPerDay() [2/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfFractionPatternDigitsPerDay | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfFractionPatternDigitsPerDay (300a,0079)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFractionsPlanned() [1/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfFractionsPlanned | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get NumberOfFractionsPlanned (300a,0078)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFractionsPlanned() [2/2]

OFCondition DRTFractionGroupSequence::Item::getNumberOfFractionsPlanned | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get NumberOfFractionsPlanned (300a,0078)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedBeamSequence() [1/2]

DRTReferencedBeamSequenceInRTFractionSchemeModule & DRTFractionGroupSequence::Item::getReferencedBeamSequence | ( |  | ) |
| inline

get ReferencedBeamSequence (300c,0004)

Returns
  reference to sequence element

References ReferencedBeamSequence.

## ◆ getReferencedBeamSequence() [2/2]

const DRTReferencedBeamSequenceInRTFractionSchemeModule & DRTFractionGroupSequence::Item::getReferencedBeamSequence | ( |  | ) | const
| inline

get ReferencedBeamSequence (300c,0004)

Returns
  const reference to sequence element

References ReferencedBeamSequence.

## ◆ getReferencedBrachyApplicationSetupSequence() [1/2]

DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule & DRTFractionGroupSequence::Item::getReferencedBrachyApplicationSetupSequence | ( |  | ) |
| inline

get ReferencedBrachyApplicationSetupSequence (300c,000a)

Returns
  reference to sequence element

References ReferencedBrachyApplicationSetupSequence.

## ◆ getReferencedBrachyApplicationSetupSequence() [2/2]

const DRTReferencedBrachyApplicationSetupSequenceInRTFractionSchemeModule & DRTFractionGroupSequence::Item::getReferencedBrachyApplicationSetupSequence | ( |  | ) | const
| inline

get ReferencedBrachyApplicationSetupSequence (300c,000a)

Returns
  const reference to sequence element

References ReferencedBrachyApplicationSetupSequence.

## ◆ getReferencedDoseReferenceSequence() [1/2]

DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule & DRTFractionGroupSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) |
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  reference to sequence element

References ReferencedDoseReferenceSequence.

## ◆ getReferencedDoseReferenceSequence() [2/2]

const DRTReferencedDoseReferenceSequenceInRTFractionSchemeModule & DRTFractionGroupSequence::Item::getReferencedDoseReferenceSequence | ( |  | ) | const
| inline

get ReferencedDoseReferenceSequence (300c,0050)

Returns
  const reference to sequence element

References ReferencedDoseReferenceSequence.

## ◆ getReferencedDoseSequence() [1/2]

DRTReferencedDoseSequence & DRTFractionGroupSequence::Item::getReferencedDoseSequence | ( |  | ) |
| inline

get ReferencedDoseSequence (300c,0080)

Returns
  reference to sequence element

References ReferencedDoseSequence.

## ◆ getReferencedDoseSequence() [2/2]

const DRTReferencedDoseSequence & DRTFractionGroupSequence::Item::getReferencedDoseSequence | ( |  | ) | const
| inline

get ReferencedDoseSequence (300c,0080)

Returns
  const reference to sequence element

References ReferencedDoseSequence.

## ◆ getRepeatFractionCycleLength() [1/2]

OFCondition DRTFractionGroupSequence::Item::getRepeatFractionCycleLength | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get RepeatFractionCycleLength (300a,007a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRepeatFractionCycleLength() [2/2]

OFCondition DRTFractionGroupSequence::Item::getRepeatFractionCycleLength | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get RepeatFractionCycleLength (300a,007a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTFractionGroupSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTFractionGroupSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTFractionGroupSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTFractionGroupSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBeamDoseMeaning()

OFCondition DRTFractionGroupSequence::Item::setBeamDoseMeaning | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set BeamDoseMeaning (300a,008b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFractionGroupDescription()

OFCondition DRTFractionGroupSequence::Item::setFractionGroupDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set FractionGroupDescription (300a,0072)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFractionGroupNumber()

OFCondition DRTFractionGroupSequence::Item::setFractionGroupNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set FractionGroupNumber (300a,0071)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFractionPattern()

OFCondition DRTFractionGroupSequence::Item::setFractionPattern | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set FractionPattern (300a,007b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBeams()

OFCondition DRTFractionGroupSequence::Item::setNumberOfBeams | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfBeams (300a,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfBrachyApplicationSetups()

OFCondition DRTFractionGroupSequence::Item::setNumberOfBrachyApplicationSetups | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfBrachyApplicationSetups (300a,00a0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfFractionPatternDigitsPerDay()

OFCondition DRTFractionGroupSequence::Item::setNumberOfFractionPatternDigitsPerDay | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfFractionPatternDigitsPerDay (300a,0079)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfFractionsPlanned()

OFCondition DRTFractionGroupSequence::Item::setNumberOfFractionsPlanned | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set NumberOfFractionsPlanned (300a,0078)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRepeatFractionCycleLength()

OFCondition DRTFractionGroupSequence::Item::setRepeatFractionCycleLength | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set RepeatFractionCycleLength (300a,007a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTFractionGroupSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtfgs.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2